/** @file
This file contains doxygen commands definitions for creating
Platform override documentation

 @copyright
  INTEL CONFIDENTIAL
  Copyright 2015 - 2016 Intel Corporation.

  The source code contained or described herein and all documents related to the
  source code ("Material") are owned by Intel Corporation or its suppliers or
  licensors. Title to the Material remains with Intel Corporation or its suppliers
  and licensors. The Material may contain trade secrets and proprietary and
  confidential information of Intel Corporation and its suppliers and licensors,
  and is protected by worldwide copyright and trade secret laws and treaty
  provisions. No part of the Material may be used, copied, reproduced, modified,
  published, uploaded, posted, transmitted, distributed, or disclosed in any way
  without Intel's prior express written permission.

  No license under any patent, copyright, trade secret or other intellectual
  property right is granted to or conferred upon you by disclosure or delivery
  of the Materials, either expressly, by implication, inducement, estoppel or
  otherwise. Any license under such intellectual property rights must be
  express and approved by Intel in writing.

  Unless otherwise agreed by Intel in writing, you may not remove or alter
  this notice or any other notice embedded in Materials by Intel or
  Intel's suppliers or licensors in any way.

  This file contains 'Framework Code' and is licensed as such under the terms
  of your license agreement with Intel or your vendor. This file may not be 
  modified, except as allowed by additional terms of your license agreement.

@par Specification
**/

/** @page clientsiliconoverride

Client Silicon Package Override (CSPO) tags lists the overrides of the Intel Green H to add / enhance new features or resolve issues to unblock the enabling.

The Active CSPO table lists every issue which is currently resolved with an override. It is a catalog of all such existing overrides.

The Retired CSPO table lists issues which previously required such overrides. It is purely historical as these overrides have all been deleted (are no longer needed).

# Active CSPOs in ClientSiliconPkg/Override
| Tag     | Client HSD | Core HSD | Status / Planned EOL | Description |
| :------ | :--------- | :------- | :------------------- | :---------- |
|CSPO-xxxx|            |          |                      |             |

# Retired CSPOs in ClientSiliconPkg/Override
| Tag     | Client HSD | Core HSD | Actual EOL | Description |
| :------ | :--------- | :------- | :----------| :---------- |
|CSPO-0001|1504011433  |          |            |"Enable GCC Link Time Optimization (LTO)" to reduce the GCC build size

**/

