/** @file
  Copies the memory related timing and configuration information into the
  Compatible BIOS data (BDAT) table.

 @copyright
  INTEL CONFIDENTIAL
  Copyright 2010 - 2016 Intel Corporation.

  The source code contained or described herein and all documents related to the
  source code ("Material") are owned by Intel Corporation or its suppliers or
  licensors. Title to the Material remains with Intel Corporation or its suppliers
  and licensors. The Material may contain trade secrets and proprietary and
  confidential information of Intel Corporation and its suppliers and licensors,
  and is protected by worldwide copyright and trade secret laws and treaty
  provisions. No part of the Material may be used, copied, reproduced, modified,
  published, uploaded, posted, transmitted, distributed, or disclosed in any way
  without Intel's prior express written permission.

  No license under any patent, copyright, trade secret or other intellectual
  property right is granted to or conferred upon you by disclosure or delivery
  of the Materials, either expressly, by implication, inducement, estoppel or
  otherwise. Any license under such intellectual property rights must be
  express and approved by Intel in writing.

  Unless otherwise agreed by Intel in writing, you may not remove or alter
  this notice or any other notice embedded in Materials by Intel or
  Intel's suppliers or licensors in any way.

  This file contains an 'Intel Peripheral Driver' and is uniquely identified as
  "Intel Reference Module" and is licensed for Intel CPUs and chipsets under
  the terms of your license agreement with Intel or your vendor. This file may
  be modified by the user, subject to additional terms of the license agreement.

@par Specification Reference:
**/
#ifndef _BdatRmtHandler_h_
#define _BdatRmtHandler_h_

#ifndef BDAT_SUPPORT
#define BDAT_SUPPORT
#endif

#include <Library/MemoryAllocationLib.h>

#ifndef MCHBAR_OFFSET
#define MCHBAR_OFFSET                   0x48
#endif

#define EFI_BDAT_TABLE_SIGNATURE  SIGNATURE_32 ('B', 'D', 'A', 'T')
#define ACPI_BDAT_OEM_REV         0x00001000
#define EFI_BDAT_ACPI_POINTER     0x0

#define BDAT_PRIMARY_VERSION      4  ///< The BDAT structure that is currently supported.
#define BDAT_SECONDARY_VERSION    0  ///< The BDAT structure that is currently supported.
#define OEM_OFFSET                0  ///< The current offset to the OEM data in the BDAT structure.

#endif /// _BdatRmtHandler_h_
